Subject: Re: Help installing Apache/PHP/MySQL
From: Stipe Tolj <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 05 Jul 2003 20:37:03 +0200

Bill McCormick wrote:
> 
> I've got the MySQL Win32 server up and running and recompiled the MySQL
> binaries under Cygwin and go a client to work. I need some getting Apache
> with the mod_php and mod_auth_mysql installed. The cygwin setup didn't
> appear to do it. Starting httpd I get the following:
> 
> [Sat Jul  5 11:13:57 2003] [warn] Loaded DSO lib/apache/mod_auth_mysql.dll
> uses
> plain Apache 1.3 API, this module might crash under EAPI! (please recompile
> it w
> ith -DEAPI)
> [Sat Jul  5 11:14:17 2003] [warn] Loaded DSO lib/apache/libphp4.dll uses
> plain A
> pache 1.3 API, this module might crash under EAPI! (please recompile it
> with -DE
> API)

there are *warnings* that are telling you that the modules have been
compiled in a non-EAPI environment, which *can* be ignored.

> Syntax error on line 281 of /etc/apache/httpd.conf:
> Cannot add module via name 'mod_mysql_auth.c': not in list of loaded modules

it should be 'mod_auth_mysql.c'.

> I'm not sure if this means I need to recompile Apache or the mods or both.
> Trying to recompile PHP I get to 'make install' and the output ends with ...
> 
> /usr/src/php-4.2.0-2/build/shtool mkdir -p "/usr/lib/apache" && apxs -S
> LIBEXECD
> IR="/usr/lib/apache" -i -a -n php4 libs/libphp4.so
> apxs:Error: file libs/libphp4.so is not a DSO
> make[1]: *** [install-sapi] Error 1
> make[1]: Leaving directory `/usr/src/php-4.2.0-2'
> make: *** [install-recursive] Error 1

please install php-4.x from the cygwin net distribution and see then
/usr/doc/Cygwin/php-4.x for information on how to recompile.

> There's also something confusing about what cygwin setup in my httpd.conf
> file ....
> 
> LoadModule mysql_auth_module  lib/apache/mod_auth_mysql.dll
> 
> and then ...
> 
> AddModule mod_mysql_auth.c

yep, that's an old story (so called apache mod_auth_foobar vs
mod_foobar_auth install problem via apxs).

Simply change to 'AddModule mod_auth_module.c' and you'll be fine.

> but that is different than the "LoadModule" section and the name of the
> actual source and seems to correspond to the error message when Apache
> starts so I changed it to ...
> 
> AddModule mod_auth_mysql.c
> 
> and then when Apache starts ...
> 
> $ apachectl start
> [Sat Jul  5 12:16:07 2003] [warn] Loaded DSO lib/apache/mod_auth_mysql.dll
> uses
> plain Apache 1.3 API, this module might crash under EAPI! (please recompile
> it w
> ith -DEAPI)
> [Sat Jul  5 12:16:08 2003] [warn] Loaded DSO lib/apache/libphp4.dll uses
> plain A
> pache 1.3 API, this module might crash under EAPI! (please recompile it
> with -DE
> API)

ok, so both modules loaded and get added.

> C:\cygwin\usr\sbin\httpd.exe: *** unable to remap
> C:\cygwin\bin\cygintl-1.dll to
>  same address as parent(0x1860000) != 0x1870000
> /usr/sbin/apachectl start: httpd could not be started

now you get the famous rebase problem. See Jasons reference.

Stipe

[email-masked]
-------------------------------------------------------------------
Wapme Systems AG

Vogelsanger Weg 80
40470 Düsseldorf

Tel: +49-211-74845-0
Fax: +49-211-74845-299

E-Mail: [email-masked]
Internet: http://www.wapme-systems.de
-------------------------------------------------------------------
wapme.net - wherever you are

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/